summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBjörn Jacke <bj@sernet.de>2012-06-05 15:37:00 +0200
committerBjoern Jacke <bj@sernet.de>2012-06-05 17:32:22 +0200
commit5cc86fd560568202bef069eb89f5906f20050085 (patch)
tree221e4e6aed1a76f7c9c9196f6e5d09d1fced62bb
parent06a6eb640610df8e4f0bb2e7f7d96bfc9a5b1ffb (diff)
downloadsamba-5cc86fd560568202bef069eb89f5906f20050085.tar.gz
samba-5cc86fd560568202bef069eb89f5906f20050085.tar.bz2
samba-5cc86fd560568202bef069eb89f5906f20050085.zip
s3: remove dependency on automake for "make everything"
the dependency was introduced by 737a1c9b96a4ba8d8688f4dba1df6d931e10e64d We now call auto* in examples/VFS from within the main autogen.sh. This fixes bug #8978. Autobuild-User: Björn Jacke <bj@sernet.de> Autobuild-Date: Tue Jun 5 17:32:22 CEST 2012 on sn-devel-104
-rw-r--r--source3/Makefile.in1
-rwxr-xr-xsource3/autogen.sh9
2 files changed, 9 insertions, 1 deletions
diff --git a/source3/Makefile.in b/source3/Makefile.in
index 093123c2b9..7b2783369c 100644
--- a/source3/Makefile.in
+++ b/source3/Makefile.in
@@ -3388,7 +3388,6 @@ bin/ndrdump4: $(BINARY_PREREQS)
vfs_examples:
( \
cd ../examples/VFS && \
- ./autogen.sh && \
./configure && \
make clean && \
make \
diff --git a/source3/autogen.sh b/source3/autogen.sh
index 3f46f5f7ae..15689e07e1 100755
--- a/source3/autogen.sh
+++ b/source3/autogen.sh
@@ -75,6 +75,15 @@ $AUTOCONF $IPATHS || exit 1
rm -rf autom4te*.cache
+( cd ../examples/VFS || exit 1
+ echo "$0: running $AUTOHEADER in ../examples/VFS/"
+ $AUTOHEADER || exit 1
+ echo "$0: running $AUTOCONF in ../examples/VFS/"
+ $AUTOCONF || exit 1
+ rm -rf autom4te*.cache
+) || exit 1
+
+
if gcc -E tests/preproc-dummy.c -o /dev/null ;
then
PIDL_OUTPUTDIR="autoconf/librpc/gen_ndr" CPP="gcc -E" PIDL=../pidl/pidl \